import "uno.css"

import { createApp } from "vue"
import App from "./App.vue"
import { createRouter, createWebHistory } from "vue-router"
import { routes, handleHotUpdate } from "vue-router/auto-routes"
import { createHead } from "@unhead/vue"

const app = createApp(App)

const router = createRouter({
	history: createWebHistory(),
	routes
})

const head = createHead()

app
	.use(router)
	.use(head)
	.mount("#app")

if (import.meta.hot) {
	handleHotUpdate(router)
}